/* ips.h */
/* Header for IPS format */
/* V1.00 98/03/10 */

#define IPS_ID_POS       0
#define IPS_ID_LEN       6

#define IPS_UTC_DATE_POS 6
#define IPS_UTC_DATE_LEN 6
#define IPS_UTC_WEEK_POS 12
#define IPS_UTC_WEEK_LEN 1
#define IPS_UTC_TIME_POS 13
#define IPS_UTC_TIME_LEN 6

#define IPS_TIME_STAMP_LEN 13

#define IPS_LAT_DIR_POS 19
#define IPS_LAT_DIR_LEN 1
#define IPS_LAT_VAL_POS 20
#define IPS_LAT_VAL_LEN 7

#define IPS_LON_DIR_POS 27
#define IPS_LON_DIR_LEN 1
#define IPS_LON_VAL_POS 28
#define IPS_LON_VAL_LEN 8

#define IPS_HGH_SGN_POS 36
#define IPS_HGH_SGN_LEN  1
#define IPS_HGH_VAL_POS 37
#define IPS_HGH_VAL_LEN  4

#define IPS_SPEED_POS 41
#define IPS_SPEED_LEN  3

#define IPS_COURSE_POS 44
#define IPS_COURSE_LEN  3

#define IPS_MES_DATE_POS 47
#define IPS_MES_DATE_LEN 6
#define IPS_MES_WEEK_POS 53
#define IPS_MES_WEEK_LEN 1
#define IPS_MES_TIME_POS 54
#define IPS_MES_TIME_LEN 6

#define IPS_DOP_POS 60
#define IPS_DOP_LEN  1

#define IPS_MODE_POS 61
#define IPS_MODE_LEN  1

#define IPS_DATUM_POS 62
#define IPS_DATUM_LEN  1

#define NUM_IPS_SAT 8

/*-------------------------*/
#define IPS_SAT_SER_POS 63
#define IPS_SAT_ANG_POS 64
#define IPS_SAT_ADI_POS 65
#define IPS_SAT_STA_POS 66
#define IPS_SAT_LVL_POS 67

#define IPS_SAT_LEN 5

/*-------------------------*/
#define IPS_OSC_STA_POS 63
#define IPS_OSC_STA_LEN 1

#define IPS_STB_POS 64
#define IPS_STB_LEN 2

#define IPS_FMT_POS 66
#define IPS_FMT_LEN 1

#define IPS_PAR_POS 67
#define IPS_PAR_LEN 1
